QScintilla: QsciLexerFortran77 Class Reference

# QsciLexerFortran77 Class Reference

The QsciLexerFortran77 class encapsulates the Scintilla Fortran77 lexer. More...

`#include <qscilexerfortran77.h>`

Inherits QsciLexer.

Inherited by QsciLexerFortran.

List of all members.

## Public Types

- enum {
  Default = 0, Comment = 1, Number = 2,
  SingleQuotedString = 3, DoubleQuotedString = 4, UnclosedString = 5,
  Operator = 6, Identifier = 7, Keyword = 8,
  IntrinsicFunction = 9, ExtendedFunction = 10, PreProcessor = 11,
  DottedOperator = 12, Label = 13, Continuation = 14
  }

## Public Slots

- virtual void setFoldCompact (bool fold)

## Public Member Functions

- QsciLexerFortran77 (QObject *parent=0, const char *name=0)
- virtual ~QsciLexerFortran77 ()
- const char * language () const
- const char * lexer () const
- int braceStyle () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- void refreshProperties ()
- bool foldCompact () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QsciLexerFortran77 class encapsulates the Scintilla Fortran77 lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Fortran77 lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  Number | A number.
  SingleQuotedString | A single-quoted string.
  DoubleQuotedString | A double-quoted string.
  UnclosedString | The end of a line where a string is not closed.
  Operator | An operator.
  Identifier | An identifier.
  Keyword | A keyword.
  IntrinsicFunction | An intrinsic function.
  ExtendedFunction | An extended, non-standard or user defined function.
  PreProcessor | A pre-processor block.
  DottedOperator | An operator in .NAME. format.
  Label | A label.
  Continuation | A continuation.

## Constructor & Destructor Documentation

QsciLexerFortran77::QsciLexerFortran77 | ( | QObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QsciLexerFortran77 with parent parent and name name. parent is typically the QsciScintilla instance.

## Member Function Documentation

const char* QsciLexerFortran77::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

Reimplemented in QsciLexerFortran.

QColor QsciLexerFortran77::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

QColor QsciLexerFortran77::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexer.

const char* QsciLexerFortran77::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

Reimplemented in QsciLexerFortran.

QString QsciLexerFortran77::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

void QsciLexerFortran77::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

bool QsciLexerFortran77::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

virtual void QsciLexerFortran77::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

bool QsciLexerFortran77::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also:
  writeProperties()

Reimplemented from QsciLexer.

bool QsciLexerFortran77::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also:
  readProperties()

Reimplemented from QsciLexer.